Gentoo Archives: gentoo-user

From: n952162 <n952162@×××.de>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] is there a way to repair a corrupted emerged package?
Date: Tue, 05 Nov 2019 21:14:16
Message-Id: 6a101d9c-6601-d893-e537-295ba87e9b18@web.de
I found a copy of the ebuild on a different machine I have - it's a x86
not an amd64 architect, but maybe it's architecture-agnostic.  I wonder
if I copy that to my amd64 machine (which has the tarball of the
package), will I need anything else?


On 11/05/19 21:44, Alarig Le Lay wrote:
> If the version you want isn’t in the tree anymore, you can use `ebuild > /path/to/it merge` > > On mar. 5 nov. 21:41:39 2019, n952162 wrote: >> Thank you for the suggestion. >> >> I had version 5.1.32 installed - several components of that. When I run >> the command you suggest, it prompts: >> >> /The following keyword changes are necessary to proceed:// >> //...// >> //=app-emulation/virtualbox-5.2.34 ~amd64// >> // >> //Would you like to add these changes to your config files? [Yes/No] // >> / >> >> I'm afraid it's going to want to start all over again. >> >> >> On 11/05/19 21:24, Alarig Le Lay wrote: >>> emerge -vaA1 virtualbox

Replies